<?xml version="1.0" encoding="TIS-620"?>
<MSWIPETIME desc_thai="ทะเบียนเครื่องรูดบัตร" desc_eng="Swipe Time Machine" editcheck="true" mainhelp="MSWIPETIMEHELP" referhelp="MSWIPETIMEHELP" mainkey="SWIPETIMEID" fieldsystem="*" protype="table" deleteflag="true" config_field="" dependlevel="true">
	<FIELD>
		<SWIPETIMEID lang="A" encrypt="false" log="false" type="String">
			<KEY>1</KEY>
			<GROUP>defaultsave,import</GROUP>
			<WIDTH>15</WIDTH>
			<DESC_ENG>Punch Type Code</DESC_ENG>
			<DESC_THAI>ประเภทการลงเวลา</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_THAI>ประเภทการลงเวลา</ALT_THAI>
				<ALT_ENG>Punch Type Code</ALT_ENG>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
		</SWIPETIMEID>
		
		<TDESC lang="T" encrypt="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>EDESC</REFER_LANG>
			<DESC_ENG>Desc. (Thai)</DESC_ENG>
			<DESC_THAI>รายละเอียด(ไทย)</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>100</MAXSIZE>
				<SIZE>70</SIZE>
				<DISABLE>false</DISABLE>
				<ALT_THAI>รายละเอียด(ไทย)</ALT_THAI>
				<ALT_ENG>Desc. (Thai)</ALT_ENG>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
		</TDESC>
	
		<EDESC lang="E" encrypt="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>TDESC</REFER_LANG>
			<DESC_ENG>Desc. (Eng.)</DESC_ENG>
			<DESC_THAI>รายละเอียด(อังกฤษ)</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>100</MAXSIZE>
				<SIZE>70</SIZE>
				<DISABLE>false</DISABLE>
				<ALT_THAI>รายละเอียด(อังกฤษ)</ALT_THAI>
				<ALT_ENG>Desc. (Eng.)</ALT_ENG>
			</COMPONENT>
		</EDESC>
		
		<COMPANYID lang="A" encrypt="false" log="false" type="String">
			<KEY>2</KEY>
			<WIDTH>5</WIDTH>
			<DESC_ENG>Company ID</DESC_ENG>
			<DESC_THAI>รหัสบริษัท</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<DISABLE>true</DISABLE>
				<ALT_ENG>Company ID</ALT_ENG>
				<ALT_THAI>รหัสบริษัท</ALT_THAI>
			</COMPONENT>
		</COMPANYID>
	</FIELD>

	<RELATION>
		<TTIMETEMP>
			<PARENT>MSWIPETIME.SWIPETIMEID</PARENT>
			<PARENT>MSWIPETIME.COMPANYID</PARENT>
			<CHILD>TTIMETEMP.MACHINNO</CHILD>
			<CHILD>TTIMETEMP.COMPANYID</CHILD>
		</TTIMETEMP>

		<TTIMETEMP_HISTORY>
			<PARENT>MSWIPETIME.SWIPETIMEID</PARENT>
			<PARENT>MSWIPETIME.COMPANYID</PARENT>
			<CHILD>TTIMETEMP_HISTORY.MACHINNO</CHILD>
			<CHILD>TTIMETEMP_HISTORY.COMPANYID</CHILD>
		</TTIMETEMP_HISTORY>
	</RELATION>
</MSWIPETIME>
